
Katello - Bug #6443

system details ui - missing help text when release version choices are empty

06/30/2014 11:13 AM - Christine Fouant

Status: Closed   

Priority: Normal   

Assignee: Christine Fouant   

Category: Web UI   

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1043913 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1043913

This is a regression in the UI.

Previously, when there were no choices for setting the release version a bit of help text was displayed.

- if Katello.config.katello?

                - none_message = ("No alternate release version choices are available. These choic

es are based upon the repositories that have been enabled and promoted to this system's environmen

t.")

              - else

                - none_message = _("No alternate release version choices are available. These choi

ces are based upon the Red Hat manifest imported and the content available in the CDN.")

Associated revisions

Revision bf47bf7d - 07/08/2014 10:00 AM - Christine Fouant

fixes #6443 - Adds help text for release version on system details UI, BZ 1043913

Revision 3f6041c8 - 07/08/2014 10:00 AM - Christine Fouant

fixes #6443 - Adds help text for release version on system details UI, BZ 1043913

Revision 82605de7 - 07/08/2014 11:51 AM - Eric Helms

Merge pull request #4373 from cfouant/sys-detail

fixes #6443 - Adds help text for release version on system details UI, BZ 1043913

Revision 0e0b0743 - 07/08/2014 11:51 AM - Eric Helms

Merge pull request #4373 from cfouant/sys-detail

fixes #6443 - Adds help text for release version on system details UI, BZ 1043913

History

#1 - 07/07/2014 11:01 AM - Eric Helms

- Target version set to 49

- Difficulty set to easy

- Triaged changed from No to Yes

#2 - 07/08/2014 12:03 PM - Christine Fouant

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|bf47bf7d5ff50e1980d40e0b02205936f3a1c892.
https://bugzilla.redhat.com/show_bug.cgi?id=1043913
https://projects.theforeman.org/projects/katello/repository/katello/revisions/bf47bf7d5ff50e1980d40e0b02205936f3a1c892


#3 - 08/22/2014 08:59 AM - Eric Helms

- translation missing: en.field_release set to 13
